package cn.estsh.i3plus.core.api.iservice.busi;

import cn.estsh.i3plus.pojo.platform.bean.Organize;
import cn.estsh.i3plus.pojo.platform.bean.SessionUser;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * @Description : 组织业务接口 
 * @Reference   :
 * @Author      : wei.peng
 * @Date        : 2018-10-22 16:58:42.941
 * @Modify      :
 **/
public interface IOrganizeService {

    /**
     * 修改数据
     * @param organize
     */
    void updateOrganize(Organize organize);

    /**
     * 修改 组织状态
     * @param id        组织ID
     * @param status    组织状态
     * @param user      当前会话用户
     */
    void updateOrganizeStatus(String id, int status, SessionUser user);

    /**
     * 根据Key 删除数据
     * @param id
     */
    void deleteOrganizeById(String id);

    /**
     * 新增数据
     * @param organize
     * @return
     */
    Organize insertOrganize(Organize organize);

    /**
     * 查询所有数据
     * @return
     */
    List<Organize> findOrganizeAll();

    /**
     * 根据id 数据
     * @param id
     * @return
     */
    Organize getOrganizeById(String id);
}
