package cn.estsh.i3plus.core.apiservice.controller.busi;

import cn.estsh.i3plus.core.api.iservice.busi.IDataMoreService;
import cn.estsh.impp.framework.boot.util.ResultBean;
import cn.estsh.i3plus.pojo.wms.bean.FactoryStore;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import javax.websocket.server.PathParam;
import java.util.List;

/**
 * @Description :
 * @Reference :
 * @Author : alwaysfrin
 * @CreateDate : 2018-09-05 16:48
 * @Modify:
 **/
@RestController
@RequestMapping("/factory-store")
@Api(description="复杂对象服务demo")
public class FactoryStoreController {
    private Logger LOGGER = LoggerFactory.getLogger(this.getClass());

    @Autowired
    private IDataMoreService dataMoreService;

    @PutMapping(value="/insert/{name}/{code}")
    @ApiOperation(value="service服务",notes="返回内容添加service")
    public ResultBean insertFactory(@PathVariable("name")String name, @PathVariable("code")String code){
        FactoryStore fs = new FactoryStore();
        fs.setStoreName(name);
        fs.setStoreCode(code);
        dataMoreService.insertFactory(fs);

        return new ResultBean(true,"工厂已保存");
    }


    @GetMapping(value="/list")
    @ApiOperation(value="查询服务",notes="返回列表")
    public ResultBean list(){
        List<FactoryStore> fsList = dataMoreService.listFactoryStoreMore();

        return new ResultBean(true,"查询结果:" + fsList.size(),fsList);
    }
}
